%define upstream_name	 DateTime-Calendar-Pataphysical
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Dates in the pataphysical calendar
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Duration)
BuildRequires: perl(DateTime::Locale)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Params::Validate) >= 0.520.0
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: perl(DateTime)
BuildArch:  noarch

%description
DateTime::Calendar::Pataphysical is the implementation of the pataphysical
calendar. Each year in this calendar contains 13 months of 29 days. This
regularity makes this a convenient alternative for the irregular Gregorian
calendar.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/DateTime/Calendar/*
%{_mandir}/man3/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-5.mga8
+ Revision: 1493842
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.60.0-4.mga7
+ Revision: 1267027
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.60.0-3.mga6
+ Revision: 1025064
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.60.0-2.mga6
+ Revision: 971309
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.60.0-1.mga6
+ Revision: 891287
- update to 0.06

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-3.mga5
+ Revision: 738782
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-2.mga5
+ Revision: 684267
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 0.50.0-1.mga5
+ Revision: 620511
- update to 0.05

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 510743
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 365549
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 36906
- fix filename in %%doc
- imported package perl-DateTime-Calendar-Pataphysical


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2010.0
+ Revision: 406974
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.04-5mdv2009.0
+ Revision: 241200
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-3mdv2008.0
+ Revision: 86339
- rebuild


* Mon Jan 23 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.04-2mdk
- Add BuildRequires: perl-DateTime

* Tue Nov 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.04-1mdk
- Initial MDV package

